Name:           python-diffractsim
Version:        2.2.8
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A flexible diffraction simulator for exploring and visualizing physical optics

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/rafael-fuente/Diffraction-Simulations--Angular-Spectrum-Method
Source:         %{pypi_source diffractsim}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'diffractsim' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-diffractsim
Summary:        %{summary}

%description -n python3-diffractsim %_description


%prep
%autosetup -p1 -n diffractsim-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-diffractsim -f %{pyproject_files}


%changelog
%autochangelog